<template>
  <div class="container">
    <main class="header__container">
      <navbar />

      <div class="header__content">
        <div class="header__content-wrapper">
          <h1 class="header__content-title">
            Capte recursos online para gerar mais impacto social
          </h1>
          <p class="header__content-subtitle">
            O Acolher.me fortalece organizações socias com gerenciamento e
            captação de recursos online.
          </p>
          <div>
            <a-button
              v-scroll-to="'#call-to-action'"
              size="large"
              type="primary"
            >
              Tenho interesse em conhecer
            </a-button>
          </div>
        </div>

        <div class="header__content-wrapper-img">
          <img
            class="header__content-illustration"
            src="/illustrations/landing-mobile.svg"
            alt="Ilustração - Captar recursos"
          />
        </div>
      </div>
    </main>

    <!-- Screenshot plataforma -->
    <section class="content__container mg-top">
      <div class="content__text">
        <h2
          data-aos="fade"
          data-aos-delay="300"
          data-aos-once="true"
          class="content__text-title"
        >
          Tudo que você precisa
        </h2>
        <p
          data-aos="fade"
          data-aos-delay="350"
          data-aos-once="true"
          class="content__text-subtitle"
        >
          Possuímos uma plataforma completa para atender as necessidades da sua
          causa: atraia, gerencie e engaje doadores.
        </p>
      </div>

      <img
        data-aos="fade-up"
        data-aos-delay="500"
        data-aos-once="true"
        class="dashboard-illustration"
        src="/illustrations/dashboard.svg"
        alt="Ilustração - Dashboard Acolher.me"
      />
    </section>

    <!-- Página personalizada -->
    <section class="content__container content__background no-padding">
      <div class="content__container-row">
        <div data-aos="fade-up" data-aos-delay="300" data-aos-once="true">
          <img
            class="content-illustration"
            src="/illustrations/paginapersonalizada.svg"
            alt="Ilustração - Página personalizada"
          />
        </div>
        <div
          data-aos="fade-left"
          data-aos-delay="300"
          data-aos-once="true"
          class="max-width-text"
        >
          <div class="content__text">
            <h2 class="content__text-title align-left">
              Tenha um site personalizado
            </h2>
            <p class="content__text-subtitle align-left">
              Conte sua história através de um site customizado para a sua
              causa. Não é necessário conhecimento técnico.
            </p>
          </div>

          <div class="content__wrapper">
            Capte mais doações através de um site totalmente customizado com
            formulário para transações utilizando boleto, cartão de crédito e
            débito em conta. Os recursos captados vão direto para sua conta.
          </div>
        </div>
      </div>
    </section>

    <!-- Gerenciamento -->
    <section class="content__container">
      <div class="content__container-row">
        <div
          data-aos="fade-right"
          data-aos-delay="300"
          data-aos-once="true"
          class="custom-order-1"
        >
          <div class="content__text">
            <h2 class="content__text-title align-left">
              Defina metas e acompanhe o andamento
            </h2>
            <p class="content__text-subtitle align-left">
              Veja métricas sobre seus dados na palma da mão.
            </p>
          </div>

          <div class="content__wrapper">
            Gerencie as doações recebidas, divulgue o eventos e compartilhe
            notícias sobre sua causa através de uma única plataforma.
          </div>
        </div>
        <div
          data-aos="fade-up"
          data-aos-delay="300"
          data-aos-once="true"
          class="custom-order-2"
        >
          <img
            class="content-illustration"
            src="/illustrations/gerenciamento.svg"
            alt="Ilustração - Gerenciamento e acompanhamento de doações"
          />
        </div>
      </div>
    </section>

    <!-- Engajamento -->
    <section class="content__container content__background no-padding">
      <div class="content__container-row">
        <div data-aos="fade-up" data-aos-delay="300" data-aos-once="true">
          <img
            class="content-illustration"
            src="/illustrations/engajamento.svg"
            alt="Ilustração - Engajamento de doadores"
          />
        </div>
        <div data-aos="fade-left" data-aos-delay="300" data-aos-once="true">
          <div class="content__text">
            <h2 class="content__text-title align-left">
              Engaje seus doadores
            </h2>
            <p class="content__text-subtitle align-left">
              Fortaleça o relacionamento com o seu doador através de e-mail e
              premiações personalizados.
            </p>
          </div>

          <div class="content__wrapper">
            Reforce o relacionamento com o seus doadores configurando gatilhos
            personalizados e automatizando processos que engajam e convertem
            mais doadores.
          </div>
        </div>
      </div>
    </section>

    <!-- Passo a passo -->
    <section class="content__container">
      <div class="content__text">
        <h2
          data-aos="fade-up"
          data-aos-delay="300"
          data-aos-once="true"
          class="content__text-title"
        >
          Pronto para você usar
        </h2>
        <p
          data-aos="fade-up"
          data-aos-delay="400"
          data-aos-once="true"
          class="content__text-subtitle"
        >
          Comece a captar recursos em poucas horas
        </p>
      </div>

      <div class="content__wrapper">
        <a-steps class="content__wrapper-steps" progress-dot>
          <a-step
            data-aos="fade"
            data-aos-delay="300"
            data-aos-once="true"
            class="content__wrapper-step"
            status="finish"
          >
            <a-icon slot="icon" type="user" />
            <template slot="title">
              <strong class="content__wrapper-title">Faça seu cadastro</strong>
            </template>
            <span slot="description">
              Faça seu cadastro na plataforma em menos de 5 minutos
            </span>
          </a-step>

          <a-step
            data-aos="fade"
            data-aos-delay="600"
            data-aos-once="true"
            class="content__wrapper-step"
            status="finish"
          >
            <a-icon slot="icon" type="edit" />
            <template slot="title">
              <strong class="content__wrapper-title">
                Personalize seu site
              </strong>
            </template>
            <span slot="description">
              Insira as informações da sua organização e personalize seu site
            </span>
          </a-step>

          <a-step
            data-aos="fade"
            data-aos-delay="800"
            data-aos-once="true"
            class="content__wrapper-step"
            status="finish"
          >
            <a-icon slot="icon" type="share-alt" />
            <template slot="title">
              <strong class="content__wrapper-title">
                Divulgue sua causa
              </strong>
            </template>
            <span slot="description">
              Divulgue o site personalizado da sua organização para as pessoas.
            </span>
          </a-step>

          <a-step
            data-aos="fade"
            data-aos-delay="1000"
            data-aos-once="true"
            class="content__wrapper-step"
            status="finish"
          >
            <a-icon slot="icon" type="dollar" />
            <template slot="title">
              <strong class="content__wrapper-title">Capte recursos</strong>
            </template>
            <span slot="description">
              Os recursos captados vão diretamente para sua conta
            </span>
          </a-step>
        </a-steps>
      </div>
    </section>

    <a-spin :spinning="loading" :delay="0">
      <a-icon slot="indicator" type="loading" spin />
      <section
        id="call-to-action"
        class="content__container content__background"
      >
        <div class="content__text">
          <h2 class="content__text-title">
            Obtenha o acesso antecipado gratuitamente
          </h2>
          <p class="content__text-subtitle">
            A plataforma será lançada em breve! Não se precoupe, não vamos te
            enviar spam :)
          </p>
        </div>

        <newsletter-form
          data-aos="fade-up"
          data-aos-delay="350"
          data-aos-once="true"
          :sent="sent"
          @send-user="subscribeToNewsletter"
        />
      </section>
    </a-spin>

    <app-footer />
  </div>
</template>

<script>
import { mapState } from 'vuex'
import { db } from '~/firebase'
import Footer from '~/components/Landing/Footer.vue'
import Navbar from '~/components/Landing/Navbar.vue'
import NewsletterForm from '~/components/Landing/NewsletterForm.vue'

export default {
  components: {
    'app-footer': Footer,
    Navbar,
    NewsletterForm
  },
  data() {
    return {
      loading: false,
      sent: false
    }
  },
  computed: mapState({
    uid: (store) => store.user.uid
  }),
  methods: {
    async subscribeToNewsletter({ name, email }) {
      this.loading = true
      try {
        await db.collection('newsletter').add({
          email,
          name
        })
        this.sent = true
        this.$message.success('Você foi inscrito com sucesso :)')
      } catch (error) {
        this.sent = false
        this.$message.error('Ocorreu algum erro. Tente novamente.')
      } finally {
        this.loading = false
        setTimeout(() => {
          this.sent = false
        }, 500)
      }
    }
  }
}
</script>

<style lang="less" scoped>
.button__container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 60px;
  width: 100%;
}

.content {
  &-illustration {
    width: 40vw;
    margin: 60px;

    @media only screen and (max-width: 800px) {
      order: 1;
      width: 80vw;
      margin-bottom: 20px;
    }
  }

  &__container {
    overflow: hidden;
    padding: 20px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-top: 10px;
    overflow-x: hidden;

    &-row {
      overflow: hidden;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      margin-top: 10px;
      overflow-x: hidden;
      width: 100%;
      max-width: 1300px;
      padding: 0 20px;

      @media only screen and (max-width: 800px) {
        flex-direction: column;
      }
    }
  }

  &__background {
    background-color: #f8f8ff;
  }

  &__wrapper {
    margin-top: 20px;

    @media only screen and (max-width: 800px) {
      margin-bottom: 40px;
    }

    &-title {
      font-size: 2rem;
      padding-bottom: 20px;
    }

    &-steps {
      width: 90vw;

      @media only screen and (min-width: 1000px) {
        width: 950px;
        overflow-x: hidden;
      }

      @media only screen and (max-width: 754px) {
        overflow-x: scroll;
      }
    }

    &-step:not(:last-of-type) {
      padding-right: 40px;
    }
  }

  &__text {
    width: 100%;
    max-width: 560px;
    text-align: center;

    &-left {
      margin-left: 60px;
    }

    &-title {
      color: @primary-color;
      font-weight: bold;
      font-size: 3.6rem;
      margin-bottom: 5px;
    }

    &-subtitle {
      color: @third-color;
      font-weight: 600;
      font-size: 1.6rem;
    }
  }
}

.header {
  &__container {
    width: 100%;
  }

  &__content {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    padding: 20px;

    @media only screen and (max-width: 800px) {
      flex-direction: column;
      align-items: flex-end;
    }

    &-wrapper {
      width: 100%;
      padding-right: 40px;

      @media only screen and (max-width: 800px) {
        flex-direction: column;
        order: 1;
        margin-top: 20px;
      }

      &-img {
        text-align: right;
        width: 100%;

        @media only screen and (max-width: 800px) {
          flex-direction: column;
          order: 2;
        }
      }
    }

    &-title {
      color: @primary-color;
      font-weight: bold;
      font-size: 4.6rem;
      line-height: 5.6rem;

      @media only screen and (max-width: 800px) {
        font-size: 4rem;
      }
    }

    &-subtitle {
      color: @third-color;
      font-weight: 600;
      font-size: 2rem;
    }

    &-illustration {
      width: 100%;

      @media only screen and (max-width: 800px) {
        margin-top: 40px;
      }
    }
  }
}

.align-left {
  text-align: left;
}

.max-width {
  max-width: 700px;
}

.no-padding {
  padding: 0;
}

.mg-top {
  margin-top: 80px;
}

.custom-order-1 {
  @media only screen and (max-width: 800px) {
    order: 2;
  }
}

.custom-order-2 {
  img {
    @media only screen and (max-width: 800px) {
      margin-top: 20px;
    }
  }
}

.dashboard-illustration {
  width: 90%;
  // box-shadow: 0 12px 16px 0 rgba(232, 242, 251, 0.75)
  box-shadow: 0 12px 16px 0 #4b45bd15;
  margin-bottom: 16px;
  border-radius: 8px;

  @media only screen and (max-width: 800px) {
    width: 100%;
  }
}
</style>
